/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-cli/cli-api/src/java/com/sun/cli/jmx/cmd/DeleteAliasCmd.java,v 1.3 2005/12/25 03:45:34 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:45:34 $
 */
 
package com.sun.cli.jmx.cmd;

import javax.management.ObjectName;

import com.sun.cli.jmx.support.ResultsForGetSet;
import com.sun.cli.jmx.support.CLISupportMBeanProxy;
import com.sun.cli.util.stringifier.*;

public class DeleteAliasCmd extends JMXCmd
{
		public
	DeleteAliasCmd( final CmdEnv env )
	{
		super( env );
	}
	
	
	
		public String
	getUsage()
	{
		return( CmdStrings.DELETE_ALIAS_HELP.toString() );
	}
	
		public static String []
	getNames( )
	{
		return( new String [] { "delete-alias", "da" } );
	}
	
	
		void
	executeInternal()
		throws Exception
	{
		final String [] aliases	= getOperands();
		
		for( int i = 0; i < aliases.length; ++i )
		{
			final String	name	= aliases[ i ];
			getAliasMgr().deleteAlias(  name );
			
			println( "deleted alias: " + name );
		}
	}
}
